package com.isidroid.c23.ui.screen.render_preview._component

import androidx.compose.runtime.Composable
import androidx.compose.ui.res.stringResource
import com.isidroid.c23.R
import com.isidroid.compose_components.DefaultAlertDialog

@Composable
internal fun SpotHasNotPrintProfilesComponent(
    onConfirmClick: () -> Unit = {},
    onDismissRequest: () -> Unit = {}
) {
    DefaultAlertDialog(
        message = stringResource(id = R.string.error_spot_has_no_printing_profiles),
        confirmButtonText = stringResource(id = R.string.action_find_spot),
        onConfirmClick = onConfirmClick,
        onDismissRequest = onDismissRequest
    )
}